Name:           libmodplug
Version:        0.8.9.0
Release:    2%{?dist}
Summary:        Modplug mod music file format library
License:        Public Domain
URL:            http://modplug-xmms.sourceforge.net/
Source0:        http://downloads.sourceforge.net/modplug-xmms/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.8.9.0-timiditypaths.patch

BuildRequires: gcc, gcc-c++
BuildRequires: make

%description
%{summary}.

%package        devel
Summary:        Development files for the Modplug mod music file format library
Requires:       %{name} = %{version}-%{release}
Requires:       gcc-c++

%description    devel
%{summary}.

%prep
%setup -q
%patch0 -p1
sed -i -e 's/\r//g' ChangeLog

%build
%configure
%make_build V=1

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%check
make check


%files
%license COPYING
%doc AUTHORS ChangeLog README TODO
%{_libdir}/libmodplug.so.*

%files devel
%{_includedir}/libmodplug/
%{_libdir}/libmodplug.so
%{_libdir}/pkgconfig/libmodplug.pc

%changelog
* Tue May 07 2024 Fanjun Kong <fanjunkong@tencent.com> - 0.8.9.0-2
- epol debrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.9.0-1
- initial build
